# qmlgloverlay

Opaque qmlgloverlay object

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstGLBaseFilter
                            ╰──GstGLFilter
                                ╰──qmlgloverlay

## Factory details

Authors: – Matthew Waters

Classification: – `Filter/QML/Overlay`

Rank – none

Plugin – qmlgl

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw(ANY):
             format: { RGBA, BGRA, YV12 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – src

Object type – GstPad

## Signals

### qml-scene-destroyed

    qml_scene_destroyed_callback (GstElement * param_0,
                                  gpointer udata)

    def qml_scene_destroyed_callback (param_0, udata):
        #python callback for the 'qml-scene-destroyed' signal

    function qml_scene_destroyed_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'qml-scene-destroyed' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

### qml-scene-initialized

    qml_scene_initialized_callback (GstElement * param_0,
                                    gpointer udata)

    def qml_scene_initialized_callback (param_0, udata):
        #python callback for the 'qml-scene-initialized' signal

    function qml_scene_initialized_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'qml-scene-initialized' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### context

    “context” GstGLContext *

Get OpenGL context

Flags : Read

### qml-scene

    “qml-scene” gchararray

The contents of the QML scene

Flags : Read / Write

Default value : NULL

### qos

    “qos” gboolean

Handle Quality-of-Service events

Flags : Read / Write

Default value : true

### root-item

    “root-item” gpointer

The root QQuickItem from the qml-scene used to render

Flags : Read

### widget

    “widget” gpointer

The QQuickItem to place the input video in the object hierarchy

Flags : Read / Write

The results of the search are